;;;;; Assign colors to markup. ;;;;;

; Create faces to assign to markup categories.
(make-face 'sgml-comment-face)
(make-face 'sgml-start-tag-face)
(make-face 'sgml-end-tag-face)
(make-face 'sgml-entity-face)

; Assign attributes to faces. Background of white assumed.
(set-face-foreground 'sgml-comment-face "White")  ; Comments: white on
(set-face-background 'sgml-comment-face "Gray")   ; gray. 
(set-face-background 'sgml-start-tag-face "Gray") ; Tags: black (default)
(set-face-background 'sgml-end-tag-face "Gray")   ; on gray.
(set-face-foreground 'sgml-entity-face "White")   ; Entity references:
(set-face-background 'sgml-entity-face "Black")   ; white on black. 

; Assign faces to markup categories. 
(setq sgml-markup-faces
   '((comment   . sgml-comment-face)
     (start-tag . sgml-start-tag-face)
     (end-tag   . sgml-end-tag-face)
     (entity    . sgml-entity-face)))

; Tell PSGML to pay attention to face settings.
(setq sgml-set-face t) 
   
