
<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">
<style-sheet>
  <style-specification>
    <style-specification-body>

; jade_ex2.dsl: simple style sheet for simplified DocBook DTD

(element CHAPTER
  (let 
    ((page-num-footer 
       (make sequence
         font-size: 10pt
         font-posture: 'italic
         (literal "Page ")
         (page-number-sosofo)
       )
     )
    )
    (make simple-page-sequence
      page-width:  8.5in
      page-height:  11in
      left-margin:   1in
      right-margin:  1in
      top-margin:    1in
      bottom-margin: 1in
      footer-margin: .5in
      left-footer: page-num-footer
      right-footer: (literal (time->string (time)))
      (process-children)
    )
  ) 
)

(element SECT1
  (make display-group
    (process-children)
  )
)

(element SECT2
  (make display-group
    (process-children)
  )
)

(element SECT3
  (make display-group
    (process-children)
  )
)

(element (CHAPTER TITLE)
  (make paragraph
    font-family-name: "Arial"
    font-weight: 'bold
    font-size: 24pt
    space-before: 20pt
    space-after: 12pt
    (process-children)
  )
)

(element (SECT1 TITLE)
  (make paragraph
    font-family-name: "Arial"
    font-weight: 'bold
    font-size: 20pt
    space-before: 20pt
    space-after: 12pt
    (process-children)
  )
)

(element (SECT2 TITLE)
  (make paragraph
    font-family-name: "Arial"
    font-weight: 'bold
    font-size: 16pt
    space-before: 16pt
    space-after: 12pt
    (process-children)
  )
)

(element (SECT3 TITLE)
  (make paragraph
    font-family-name: "Arial"
    font-weight: 'bold
    font-posture: 'italic
    font-size: 12pt
    space-before: 12pt
    space-after: 12pt
    (process-children)
  )
)

(element ITEMIZEDLIST
  (make display-group
    space-after: 10pt
    (process-children)
  )
)

(element ORDEREDLIST
  (make display-group
    (process-children)
  )
)

(element (ITEMIZEDLIST LISTITEM) 
  (make display-group
    space-before: 10pt
    (process-children)
  )
)   

(element (ORDEREDLIST LISTITEM) 
  (make display-group
    space-before: 10pt
    (process-children)
  )
)   

(element (ITEMIZEDLIST LISTITEM PARA) 
  ; Thanks to Ken Holman for his help with this one.
  (make paragraph                   
    space-after: 6pt
    font-size: 12pt
    start-indent: 18pt
    first-line-start-indent: -18pt
    (make line-field         
      field-width: 18pt 
        (if (= (child-number) 1 ) ; Only need bullet in first para.
         (literal "\U-25CF")      ; Unicode of a solid circle.
         (empty-sosofo)           ; Nothing if not first para of listitem.
      )
    )  
    (process-children)
  )
)  

(element (ORDEREDLIST LISTITEM PARA) 
  (make paragraph                   
    space-after: 6pt
    font-size: 12pt
    start-indent: 18pt
    first-line-start-indent: -18pt 
    (make line-field      
      field-width: 18pt  
      (if (= (child-number) 1 ) ; Only need number in first para.
        (literal 
          (string-append 
            (format-number (ancestor-child-number "LISTITEM") "1") "."
          )
        )
        (empty-sosofo)          ; Nothing if not first para of item.
      )
    ) 
    (process-children)
  )
)  

(element LISTITEM
  (make display-group
    (process-children)
  )
)

(element PARA
  (make paragraph  
    font-family-name: "Times New Roman"
    font-size: 12pt
    space-after: 12pt
    (process-children)
  )
)

(element LITERAL    ; Not "literal" in DSSSL sense, but an actual element type.
  (make sequence
    font-family-name: "Courier New"
    (process-children)
  )
)

(element EMPHASIS
  (make sequence
    font-posture: 'italic
    (process-children)
  )
)

(element GRAPHIC
  (make external-graphic
   entity-system-id: (attribute-string "fileref")
   notation-system-id: (attribute-string "format")
   display?: #t
   space-before: 10pt
   space-after: 10pt
  )
)

</style-specification-body>
  </style-specification>
</style-sheet>
